Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0052134
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2023-04-17 16:242023-08-30 11:39
ReportercaristuView Statuspublic 
Assigned ToTriage Platform Base 
PrioritynormalResolutionfixedFixed in VersionPR23Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0052134: Support Immutable Printable Reports

DescriptionIt would be nice to support immutable printable reports: these are reports that guarantee that subsequent reprints at different points in time generate exactly the same printable document
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0053314 newTriage Platform Base Openbravo ERP Archive checkbox in e-mail popup has no effect having immutable printable reports 
related to defect 0052646 newTriage Platform Base POS2 Print/Email duplicate button has no effect for booked tickets when deliver receipt options is disabled 
related to feature request 0053332 closedaaroncalero POS2 Implement functional flows for reprintable reports 
related to defect 0053485 closedgonzalo_fernandez Openbravo ERP Wrong invoice detection when working with immutable reports and the send email feature 
related to defect 0053571 closedgonzalo_fernandez Openbravo ERP Add missing reactivation check to order processing 
related to defect 0053668 closedgonzalo_fernandez Openbravo ERP Properly calculate print device in immutable report reprint flows 
causes defect 0054744 closedander_flores Modules Get Attachment Configuration query is broken 

-  Notes
(0148500)
hgbot (developer)
2023-04-17 16:34

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/858 [^]
(0148501)
hgbot (developer)
2023-04-17 17:00

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/499 [^]
(0148603)
hgbot (developer)
2023-04-19 16:30

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/1146 [^]
(0149838)
hgbot (developer)
2023-05-16 15:40

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1805 [^]
(0150138)
hgbot (developer)
2023-05-23 12:55

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager.sources/-/merge_requests/94 [^]
(0150333)
hgbot (developer)
2023-05-26 12:24

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.amazon.s3/-/merge_requests/3 [^]
(0152099)
hgbot (developer)
2023-07-04 12:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.azure.storage/-/merge_requests/18 [^]
(0152118)
hgbot (developer)
2023-07-05 09:40

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.integration.alfresco [^]
Changeset: dcf26e4b1b9f2c06dcede0fcdca3e6ee5689393c
Author: Gonzalo Fernández García <gonzalo.fernandez@openbravo.com>
Date: 05-07-2023 09:40:34
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.integration.alfresco/-/commit/dcf26e4b1b9f2c06dcede0fcdca3e6ee5689393c [^]

Related to ISSUE-52134: Fixes DB consistency

---
M src-db/database/sourcedata/C_ATTACHMENT_METHOD.xml
---
(0152119)
hgbot (developer)
2023-07-05 09:42

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.integration.alfresco [^]
Changeset: 15fe77f73d1e1c64500d92ca48dd53682de2fbe5
Author: Gonzalo Fernández García <gonzalo.fernandez@openbravo.com>
Date: 05-07-2023 09:42:31
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.integration.alfresco/-/commit/15fe77f73d1e1c64500d92ca48dd53682de2fbe5 [^]

Revert "Related to ISSUE-52134: Fixes DB consistency"

This reverts commit dcf26e4b1b9f2c06dcede0fcdca3e6ee5689393c.

---
M src-db/database/sourcedata/C_ATTACHMENT_METHOD.xml
---
(0152142)
hgbot (developer)
2023-07-05 14:08

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.integration.alfresco/-/merge_requests/2 [^]
(0153093)
hgbot (developer)
2023-08-02 10:45

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/958 [^]
(0153702)
hgbot (developer)
2023-08-21 09:07

Merge request closed: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/958 [^]
(0153824)
hgbot (developer)
2023-08-23 09:09

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager/-/merge_requests/52 [^]
(0153933)
hgbot (developer)
2023-08-24 15:05

Merge Request created: https://gitlab.com/openbravo/ci/mobile-api/-/merge_requests/20 [^]
(0154091)
hgbot (developer)
2023-08-29 09:50

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/858 [^]
(0154092)
hgbot (developer)
2023-08-29 09:50

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: c399faadb27ba3d610b6ee1c983b841e4c0e7360
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 29-08-2023 09:50:09
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/c399faadb27ba3d610b6ee1c983b841e4c0e7360 [^]

fixes FR-52134: Support Immutable Printable Reports

---
---
(0154093)
hgbot (developer)
2023-08-29 09:52

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 398b5bc6b25b518b6ff56503bf4bbf24d21a3379
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 29-08-2023 09:51:44
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/398b5bc6b25b518b6ff56503bf4bbf24d21a3379 [^]

related to FR-52134: Immutable Printable Reports generation API

---
A src-test/org/openbravo/mobile/core/report/ReprintableDocumentServiceTest.java
A src/org/openbravo/mobile/core/report/ReprintableDocumentService.java
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/OBMOBC_SERVICES.xml
M src-test/org/openbravo/mobile/core/StandaloneTestSuite.java
M src/org/openbravo/mobile/core/process/MobileService.java
M src/org/openbravo/mobile/core/templates/TemplateTransformer.java
M web-test/external-device/ExternalDeviceController.test.js
M web-test/external-device/printing/PrintTemplate.test.js
M web-test/model/business-object/messages/Messages.test.js
M web/org.openbravo.mobile.core/app/external-device/ExternalDeviceController.js
M web/org.openbravo.mobile.core/app/external-device/printing/PrintTemplate.js
M web/org.openbravo.mobile.core/app/model/business-object/messages/MessagesUtils.js
---
(0154094)
hgbot (developer)
2023-08-29 09:52

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/499 [^]
(0154095)
hgbot (developer)
2023-08-29 09:53

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/1146 [^]
(0154096)
hgbot (developer)
2023-08-29 09:53

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 7e70bb570cefb1537097a4d5f73263f480567f71
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 29-08-2023 09:52:42
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/7e70bb570cefb1537097a4d5f73263f480567f71 [^]

related to FR-52134: Support Immutable Printable Reports

---
---
(0154097)
hgbot (developer)
2023-08-29 09:54

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 1f805a37d7bd08255a639436e8e2f872000204c4
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 29-08-2023 09:54:04
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/1f805a37d7bd08255a639436e8e2f872000204c4 [^]

related to FR-52134: Use Immutable Printable Reports Infrastructure

---
M src/org/openbravo/pos2/mailing/SendEmailImportEntryProcessor.java
M src/org/openbravo/pos2/mailing/SendEmailLoader.java
M web-jspack/org.openbravo.pos2/src/components/TicketList/TicketListRemoteGrid/DeliverReceiptPopoverButton.jsx
M web-jspack/org.openbravo.pos2/src/model/user-interface/UIExtension.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/__test__/DeliverBookedReceiptActionPreparation.test.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/__test__/DeliverBookedTicketUserAction.test.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/__test__/ReprintLastOrderUserAction.test.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/actions/DeliverBookedReceiptActionPreparation.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/actions/DeliverReceipt.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/user-actions/DeliverBookedTicket.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/user-actions/ReprintLastOrder.js
---
(0154098)
hgbot (developer)
2023-08-29 09:54

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1805 [^]
(0154099)
hgbot (developer)
2023-08-29 09:55

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager.sources [^]
Changeset: e852e43fa239500954b6e752d028aae46111519c
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 29-08-2023 09:55:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager.sources/-/commit/e852e43fa239500954b6e752d028aae46111519c [^]

related to FR-52134: Support generating a duplicate on PDF printing

---
A project/lib/itext-2.1.7.js8.jar
M legal/Licensing.txt
M project/.classpath
M project/nbproject/project.properties
M project/src/com/openbravo/pos/monitor/DevicePrinterProxy.java
M project/src/com/openbravo/pos/printer/DeviceSystemPrinter.java
M project/src/com/openbravo/pos/printer/printer/DevicePrinterPrinter.java
M project/src/com/openbravo/poshw/TicketPdfServlet.java
---
(0154100)
hgbot (developer)
2023-08-29 09:55

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager.sources/-/merge_requests/94 [^]
(0154101)
hgbot (developer)
2023-08-29 09:56

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager [^]
Changeset: f449af90b91ff4e7fc73cd45996770a53588996a
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 23-08-2023 09:08:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager/-/commit/f449af90b91ff4e7fc73cd45996770a53588996a [^]

related to FR-52134: Support generating a duplicate on PDF printing

---
A bin/lib/itext-2.1.7.js8.jar
M bin/poshw.jar
M bin/rev.id
M legal/Licensing.txt
---
(0154102)
hgbot (developer)
2023-08-29 09:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager/-/merge_requests/52 [^]
(0154103)
hgbot (developer)
2023-08-29 09:56

Repository: https://gitlab.com/openbravo/ci/mobile-api [^]
Changeset: fcd981f023c5ed813bbb457787c4dfb5dede59bf
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 24-08-2023 15:04:20
URL: https://gitlab.com/openbravo/ci/mobile-api/-/commit/fcd981f023c5ed813bbb457787c4dfb5dede59bf [^]

related to FR-52134: new method in TemplateTransformer interface

---
M java/reference/java.japi.gz
---
(0154104)
hgbot (developer)
2023-08-29 09:56

Merge request merged: https://gitlab.com/openbravo/ci/mobile-api/-/merge_requests/20 [^]
(0154105)
hgbot (developer)
2023-08-29 09:58

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.amazon.s3 [^]
Changeset: bf4f245f497c5b9c31e5012c8423325f86cae6bd
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 29-08-2023 09:57:48
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.amazon.s3/-/commit/bf4f245f497c5b9c31e5012c8423325f86cae6bd [^]

related to FR-52134: support reprintable documents management

---
A src/org/openbravo/service/integration/amazon/s3/attachments/AmazonS3ReprintableDocumentClient.java
A src/org/openbravo/service/integration/amazon/s3/attachments/BaseAmazonS3AttachmentClient.java
M src-db/database/sourcedata/C_ATTACHMENT_METHOD.xml
M src/org/openbravo/service/integration/amazon/s3/AmazonS3ClientProvider.java
M src/org/openbravo/service/integration/amazon/s3/attachments/AmazonS3AttachImplementation.java
M src/org/openbravo/service/integration/amazon/s3/attachments/AmazonS3AttachmentClient.java
M src/org/openbravo/service/integration/amazon/s3/process/MigrationProcess.java
---
(0154106)
hgbot (developer)
2023-08-29 09:58

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.amazon.s3/-/merge_requests/3 [^]
(0154108)
hgbot (developer)
2023-08-29 10:00

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.integration.alfresco/-/merge_requests/2 [^]
(0154109)
hgbot (developer)
2023-08-29 10:00

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.integration.alfresco [^]
Changeset: 9993b9a1e5e514e1a24e91815ab5c309e7b6a213
Author: Gonzalo Fernández García <gonzalo.fernandez@openbravo.com>
Date: 29-08-2023 08:00:51
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.integration.alfresco/-/commit/9993b9a1e5e514e1a24e91815ab5c309e7b6a213 [^]

related to ISSUE-52134: fixes database consistency

---
M src-db/database/sourcedata/C_ATTACHMENT_METHOD.xml
---
(0154110)
hgbot (developer)
2023-08-29 10:03

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.azure.storage [^]
Changeset: fe9cbff20c2e9f0b7c2adf069b159cccf78b622c
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 29-08-2023 10:02:51
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.azure.storage/-/commit/fe9cbff20c2e9f0b7c2adf069b159cccf78b622c [^]

related to FR-52134: support reprintable documents management

---
A src/org/openbravo/service/integration/azure/storage/attachments/AzureStorageReprintableDocumentClient.java
A src/org/openbravo/service/integration/azure/storage/attachments/BaseAzureStorageAttachmentClient.java
M src-db/database/sourcedata/C_ATTACHMENT_METHOD.xml
M src/org/openbravo/service/integration/azure/storage/AzureStorageClient.java
M src/org/openbravo/service/integration/azure/storage/AzureStorageClientProvider.java
M src/org/openbravo/service/integration/azure/storage/attachments/AzureStorageAttachImplementation.java
M src/org/openbravo/service/integration/azure/storage/attachments/AzureStorageAttachmentClient.java
M src/org/openbravo/service/integration/azure/storage/process/AzureStorageValidationClient.java
M src/org/openbravo/service/integration/azure/storage/process/MigrateProcess.java
---
(0154111)
hgbot (developer)
2023-08-29 10:03

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.azure.storage/-/merge_requests/18 [^]
(0154185)
hgbot (developer)
2023-08-30 11:39

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 0888142437ee5da0d97e872b39a22d89d41a7bda
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 30-08-2023 11:38:40
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/0888142437ee5da0d97e872b39a22d89d41a7bda [^]

related to FR-52134: remove extra await

---
M web/org.openbravo.retail.posterminal/app/external-device/printing/TicketPrinter.js
---

- Issue History
Date Modified Username Field Change
2023-04-17 16:24 caristu New Issue
2023-04-17 16:24 caristu Assigned To => Triage Platform Base
2023-04-17 16:24 caristu Modules => Core
2023-04-17 16:24 caristu Triggers an Emergency Pack => No
2023-04-17 16:34 hgbot Note Added: 0148500
2023-04-17 17:00 hgbot Note Added: 0148501
2023-04-19 16:30 hgbot Note Added: 0148603
2023-05-08 08:41 caristu Relationship added depends on 0052374
2023-05-16 15:40 hgbot Note Added: 0149838
2023-05-23 12:55 hgbot Note Added: 0150138
2023-05-23 13:02 caristu Relationship deleted depends on 0052374
2023-05-26 12:24 hgbot Note Added: 0150333
2023-06-01 18:09 caristu Relationship added related to 0052646
2023-07-04 12:21 hgbot Note Added: 0152099
2023-07-05 09:40 hgbot Note Added: 0152118
2023-07-05 09:42 hgbot Note Added: 0152119
2023-07-05 14:08 hgbot Note Added: 0152142
2023-08-02 10:45 hgbot Note Added: 0153093
2023-08-21 09:07 hgbot Note Added: 0153702
2023-08-23 09:09 hgbot Note Added: 0153824
2023-08-24 15:05 hgbot Note Added: 0153933
2023-08-29 08:13 caristu Relationship added related to 0053314
2023-08-29 09:50 hgbot Note Added: 0154091
2023-08-29 09:50 hgbot Resolution open => fixed
2023-08-29 09:50 hgbot Status new => closed
2023-08-29 09:50 hgbot Fixed in Version => PR23Q4
2023-08-29 09:50 hgbot Note Added: 0154092
2023-08-29 09:52 hgbot Note Added: 0154093
2023-08-29 09:52 hgbot Note Added: 0154094
2023-08-29 09:53 hgbot Note Added: 0154095
2023-08-29 09:53 hgbot Note Added: 0154096
2023-08-29 09:54 hgbot Note Added: 0154097
2023-08-29 09:54 hgbot Note Added: 0154098
2023-08-29 09:55 hgbot Note Added: 0154099
2023-08-29 09:55 hgbot Note Added: 0154100
2023-08-29 09:56 hgbot Note Added: 0154101
2023-08-29 09:56 hgbot Note Added: 0154102
2023-08-29 09:56 hgbot Note Added: 0154103
2023-08-29 09:56 hgbot Note Added: 0154104
2023-08-29 09:58 hgbot Note Added: 0154105
2023-08-29 09:58 hgbot Note Added: 0154106
2023-08-29 10:00 hgbot Note Added: 0154108
2023-08-29 10:00 hgbot Note Added: 0154109
2023-08-29 10:03 hgbot Note Added: 0154110
2023-08-29 10:03 hgbot Note Added: 0154111
2023-08-30 11:39 hgbot Note Added: 0154185
2023-08-30 13:29 aaroncalero Relationship added related to 0053332
2023-09-19 11:43 caristu Relationship added related to 0053485
2023-10-03 15:14 caristu Relationship added related to 0053571
2023-10-17 11:05 caristu Relationship added related to 0053668
2024-02-22 17:10 caristu Relationship added causes 0054744


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker